=== debian/changelog ===
certgraph (20180911-0kali1) kali-dev; urgency=medium

  * Initial release (see 4348)

 -- Sophie Brun <sophie@offensive-security.com>  Wed, 29 Jul 2020 15:46:59 +0200
