=== debian/control ===
Source: certgraph
Section: misc
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Sophie Brun <sophie@offensive-security.com>
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-lib-pq-dev,
               golang-github-weppos-publicsuffix-go-dev,
               golang-golang-x-net-dev,
               golang-golang-x-text-dev
Standards-Version: 4.5.0
Homepage: https://github.com/lanrat/certgraph
Vcs-Browser: https://gitlab.com/kalilinux/packages/certgraph
Vcs-Git: https://gitlab.com/kalilinux/packages/certgraph.git
Rules-Requires-Root: no
#XS-Go-Import-Path: github.com/lanrat/certgraph

Package: certgraph
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: tool to crawl the graph of certificate Alternate Names
 This package contains a tool to crawl the graph of certificate Alternate
 Names. CertGraph crawls SSL certificates creating a directed graph where each
 domain is a node and the certificate alternative names for that domain's
 certificate are the edges to other domain nodes. New domains are printed as
 they are found. In Detailed mode upon completion the Graph's adjacency list is
 printed.
 .
 Crawling defaults to collecting certificate by connecting over TCP, however
 there are multiple drivers that can search Certificate Transparency logs.
 .
 This tool was designed to be used for host name enumeration via SSL
 certificates, but it can also show you a "chain" of trust between domains and
 the certificates that re-used between them.
