=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

export DH_GOPKG := github.com/lanrat/certgraph

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_install:
	dh_auto_install -- --no-source
