=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%certgraph-$1.tar.gz%" \
   https://github.com/lanrat/certgraph/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
